skip to navigation
skip to content

toga-gtk 0.2.4

A GTK+ backend for the Toga widget toolkit.

A GTK+ backend for the Toga widget toolkit.

Toga requires Python 3

This package isn’t much use by itself; it needs to be combined with the core Toga library.

For more details, see the Toga project on Github.


This backend requires GTK+ 3.10 or later. This is the version that ships starting with Ubuntu 14.04 and Fedora 20. You also need to install the Python 3 bindings to GTK+. If you want to use the WebView widget, you’ll also need to have WebKit, plus the GI bindings to WebKit installed. This means you’ll need to install the following:

  • Ubuntu 14.04 apt-get install python3-gi gir1.2-webkit2-3.0
  • Ubuntu 16.04 apt-get install python3-gi gir1.2-webkit2-4.0 or apt-get install python3-gi gir1.2-webkit2-3.0
  • Fedora 20+ ???
  • Debian ???


Toga is part of the BeeWare suite. You can talk to the community through:


If you experience problems with this backend, log them on GitHub. If you want to contribute code, please fork the code and submit a pull request.

File Type Py Version Uploaded on Size
toga-gtk-0.2.4.tar.gz (md5) Source 2016-10-13 13KB
toga_gtk-0.2.4-py3-none-any.whl (md5) Python Wheel py3 2016-10-13 21KB